#include "MakPythonViewApp.h"
#include "Pref_Saver.h"

int main(int,char**)
{
	MakPythonViewApp *app=new MakPythonViewApp();
	app->Run();
	return 0;
}

MakPythonViewApp::MakPythonViewApp():BApplication(MAKPythonVIEW_APP_SIG){}

void MakPythonViewApp::ReadyToRun()
{
	BRect frame;
	Pref_Saver prefs("MakPythonView.Prefs",20); //call the *modified* Pref_Saver Makclass
	
	double *top,*left,*right,*bottom;
	top=new double;
	left=new double;
	right=new double;
	bottom=new double; 
	
	if (prefs.GetFloat("top",top))
		*top=100;
	if (prefs.GetFloat("left",left))
		*left=100;
	if (prefs.GetFloat("right",right))
		*right=300;
	if (prefs.GetFloat("bottom",bottom))
		*bottom=300;
			
	frame.top=*top;
	frame.left=*left;
	frame.right=*right;
	frame.bottom=*bottom;	
	delete top;
	delete left;
	delete right;
	delete bottom; 
	
	char clops[256];
	if (prefs.GetString("CL ops",clops,256))
		strcpy(clops,"");
	else
	{
		if (clops[0]=='@')
			clops[0]=0;
	}
	bool *exe,*wrap_text,*boldulise,*ind;
	ind=new bool;
	wrap_text=new bool;
	boldulise=new bool;
	exe=new bool;
	if (prefs.GetBool("Set +x",exe))
		*exe=true;
	if (prefs.GetBool("wrap text",wrap_text))
		*wrap_text=true;
	if (prefs.GetBool("Bold?",boldulise))
		*boldulise=false;
	if (prefs.GetBool("Indent?",ind))
		*ind=true;
		
	char run_key;
	char temp[2];
	if (prefs.GetString("Run Key",temp,2))
		run_key='R';
	else
		run_key=temp[0];
			
	makPythonwindow=new MakPythonViewWindow(frame,*wrap_text,*boldulise,*ind,*exe,run_key,clops);
	makPythonwindow->Show();
	
	if (prefs.GetString("Shell",makPythonwindow->path_to_sh,B_PATH_NAME_LENGTH))
		strcpy(makPythonwindow->path_to_sh,"/boot/beos/bin/sh");
	if (prefs.GetString("Python",makPythonwindow->path_to_Python,B_PATH_NAME_LENGTH))
		strcpy(makPythonwindow->path_to_Python,"/boot/home/config/bin/python");
	if (prefs.GetString("Terminal",makPythonwindow->path_to_term,B_PATH_NAME_LENGTH))
		strcpy(makPythonwindow->path_to_term,"/boot/apps/Terminal");	
	if (prefs.GetString("Docs",makPythonwindow->path_to_docs,B_PATH_NAME_LENGTH))
		strcpy(makPythonwindow->path_to_docs,"/boot/home/config/bin/pythondoc");	
	
	char pathp[B_FILE_NAME_LENGTH+10]="Path: ";
	strcat(pathp,makPythonwindow->path_to_Python);
	makPythonwindow->Lock();
	makPythonwindow->pp->SetText(pathp);
	makPythonwindow->Unlock();
	delete exe;
	delete ind;
	delete wrap_text;
	delete boldulise;
}


