#include "NewTextView.h"
#include <stdio.h>

NewTextView::NewTextView(bool i,BRect bounds,char *name,BRect text_rect,uint32 flags,uint32 flags2,BStringView *item)
			:BTextView(bounds,name,text_rect,flags,flags2)
{
	SV=item;
	oldval=-1;
	indent=i;
}

void NewTextView::Pulse()
{
	BTextView::Pulse();
	int32 i=CurrentLine()+2;
	if (i!=oldval)
	{
		char view[30];
		sprintf(view,"Line: %li",i);
		SV->SetText(view);
		oldval=i;
	}
}

void NewTextView::KeyDown(const char *key,int32 len)
{
	BTextView::KeyDown(key,len);
	if (((*key=='\n')&&(oldline==':'))&&(indent))
		BTextView::KeyDown("\t",1); //help user do his own tabs
	oldline=*key;
}

void NewTextView::Set_Indent(bool i)
{
	indent=i;
}